View Issue Details

IDProjectCategoryLast Update
0021673AI War 2[All Projects] Balance IssueOct 18, 2019 4:01 pm
ReporterzeusalmightyAssigned ToRocketAssistedPuffin 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.890 Lighting and Darkness 
Fixed in Version0.954 Hacking Log! 
Summary0021673: Botnet Golem Buffs needed -- Long live the King!
DescriptionBackground Problem:
The botnet golem has a bit of an identity problem since it basically competes for the same role as the Thanatos Ark. It's not nearly as menacing as it's previous incarnation (classic's version)

Proposal:
The Hive Golem recently got the Lone Wolf treatment and it is consequently much more engaging and unique, much more on par with it's classic counterpart.
The Botnet Golem would benefit from a similar treatment. Lone wolf, so no fleets, and incurs a major AIP spike to capture (at least 50). This should be balanced with a huge buff to firepower.
TagsNo tags attached.

Activities

RocketAssistedPuffin

Oct 15, 2019 2:20 pm

developer   ~0053707

Proposal here:

Essentially convert it almost entirely to the Classic format. Crazy AIP, can't attack structures at all, unable to attack larger things, bump it back up to the old 80 shots, and ramp the damage up too.

AI ones will probably need specific changes, such as their own Astro Train Depot since they'd be crazy powerful in comparison to normal ones. I'd maybe also exclude them from the FreakySurprises too. Dunno...Classic didn't really give them particular treatment.

zeusalmighty

Oct 15, 2019 4:09 pm

reporter   ~0053708

I think making this like Classic's verision would be excellent, honestly

Agree that this in the AI's hand could get pretty ugly, but I would be wary of nerfing this too heavily or making it very unlikely to appear in game. Like the Hunter/Killer, the Botnet Golem should evoke fear and respect, and a healthy amount of EXP for it's destruction ;)

Zombifier AI type could arguably have a special version more on par with the player's

RocketAssistedPuffin

Oct 18, 2019 3:35 pm

developer   ~0053786

* Botnet Golem damage 450 -> 2,000, shots per salvo 50 -> 80, can only target mobile units, can't target high mass targets, costs 50 AIP to capture instead of 20, and is a Lone Wolf like the Hive Golem.
** AI Botnet Golem has a lower chance to spawn on AI planets as well.

I have this sitting around for when I properly test it.

Essentially is nearly identical to the Classic form.

zeusalmighty

Oct 18, 2019 4:01 pm

reporter   ~0053789

= D

Issue History

Date Modified Username Field Change
Sep 23, 2019 7:43 pm zeusalmighty New Issue
Sep 26, 2019 2:03 pm RocketAssistedPuffin Assigned To => RocketAssistedPuffin
Sep 26, 2019 2:03 pm RocketAssistedPuffin Status new => assigned
Oct 15, 2019 2:20 pm RocketAssistedPuffin Note Added: 0053707
Oct 15, 2019 4:09 pm zeusalmighty Note Added: 0053708
Oct 18, 2019 3:35 pm RocketAssistedPuffin Status assigned => resolved
Oct 18, 2019 3:35 pm RocketAssistedPuffin Resolution open => fixed
Oct 18, 2019 3:35 pm RocketAssistedPuffin Fixed in Version => 0.954 Hacking Log!
Oct 18, 2019 3:35 pm RocketAssistedPuffin Note Added: 0053786
Oct 18, 2019 4:01 pm zeusalmighty Note Added: 0053789